Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.output
Class OutputFormatter

    java.lang.Object
      org.mindswap.pellet.output.OutputFormatter

    public class OutputFormatter

extends java.lang.Object

A simple class to ease the the process of printing on console and printing an HTML output. By setting one variable the format of the output printed is changed, e.g. HTML tags will not be printed when the output is being printed to console.

Author:
  Evren Sirin

Constructor Summary
`OutputFormatter()`
`OutputFormatter(boolean formatHTML)`
`OutputFormatter(java.io.OutputStream out, boolean formatHTML)`
`OutputFormatter(java.io.Writer out, boolean formatHTML)`

Method Summary
`void` | `flush()`
`QNameProvider` | `getQNames()`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isFormatHTML()`
`OutputFormatter` | `print(boolean b)`
`OutputFormatter` | `print(java.lang.Object o)`
`OutputFormatter` | `print(java.lang.String s)`
`OutputFormatter` | `printBold(java.lang.String s)`
`OutputFormatter` | `printHTML(java.lang.String tag)` Print an HTML tag that will be ignored if the output format is not HTML.
`OutputFormatter` | `printInsideTag(java.lang.String s, java.lang.String tag)`
`OutputFormatter` | `printItalic(java.lang.String s)`
`OutputFormatter` | `printLink(java.lang.String uri)`
`OutputFormatter` | `printLink(java.lang.String uri, java.lang.String label)`
`OutputFormatter` | `println()`
`OutputFormatter` | `println(java.lang.Object o)`
`OutputFormatter` | `println(java.lang.String s)`
`OutputFormatter` | `printParagraph()`
`OutputFormatter` | `printTab()`
`OutputFormatter` | `printURI(java.lang.String uri)`
`void` | `setFormatHTML(boolean formatHTML)`
`void` | `setQNames(QNameProvider qnames)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputFormatter

    public OutputFormatter()

### OutputFormatter

    public OutputFormatter(boolean formatHTML)

### OutputFormatter

    public OutputFormatter(java.io.OutputStream out,
                           boolean formatHTML)

### OutputFormatter

    public OutputFormatter(java.io.Writer out,
                           boolean formatHTML)

Method Detail

### isFormatHTML

    public boolean isFormatHTML()

### setFormatHTML

    public void setFormatHTML(boolean formatHTML)

### getWriter

    public java.io.PrintWriter getWriter()

### flush

    public void flush()

### printTab

    public OutputFormatter printTab()

### print

    public OutputFormatter print(java.lang.String s)

### print

    public OutputFormatter print(java.lang.Object o)

### print

    public OutputFormatter print(boolean b)

### println

    public OutputFormatter println(java.lang.Object o)

### println

    public OutputFormatter println(java.lang.String s)

### println

    public OutputFormatter println()

### printParagraph

    public OutputFormatter printParagraph()

### printURI

    public OutputFormatter printURI(java.lang.String uri)

### printLink

    public OutputFormatter printLink(java.lang.String uri)

### printLink

    public OutputFormatter printLink(java.lang.String uri,
                                     java.lang.String label)

### printBold

    public OutputFormatter printBold(java.lang.String s)

### printItalic

    public OutputFormatter printItalic(java.lang.String s)

### printInsideTag

    public OutputFormatter printInsideTag(java.lang.String s,
                                          java.lang.String tag)

### printHTML

    public OutputFormatter printHTML(java.lang.String tag)

  Print an HTML tag that will be ignored if the output format is not HTML.

  Parameters:
    `tag` -
  Returns:

### getQNames

    public QNameProvider getQNames()

  Returns:
    Returns the qnames.

### setQNames

    public void setQNames(QNameProvider qnames)

  Parameters:
    `qnames` - The qnames to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.